Bedrock Non-Commercial License v1.0
===================================

Copyright (c) 2011-2016 Digital Bazaar, Inc.
All rights reserved.

Summary
=======

This license allows the licensee to use Bedrock and its software modules
for non-commercial purposes such as self-study, research, personal
projects, or for evaluation purposes. If the licensee uses Bedrock
directly or indirectly to generate revenue, or to provide products or
services to more than 500 people (users), the licensee must immediately
obtain a non-profit or commercial license.

Examples
========

These are examples of cases that are allowed by this license:

* The licensee is an individual that creates Bedrock-dependent software for
  personal use only.
* The licensee is an individual or group of students/researchers that uses
  Bedrock to experiment with an idea for a non-commercial project.
* The licensee is a startup company that prototypes a Bedrock-dependent
  product before they have cash flow and will be testing the prototype
  software with less than 500 users. The service will not generate revenue
  of any kind.
* The licensee is a for-profit organization that creates a product or
  service that is used by less than 500 users and is built with or
  integrates with Bedrock. The service must be exclusively provided for free
  and no parent, subsidiary, agent, or affiliate organization may profit
  from its use.

These cases require a non-profit or commercial license:

* The licensee is a non-profit that receives funding to create and/or run a
  Bedrock-dependent service.
* The licensee is a startup company with Bedrock-dependent software that is
  funded by another organization.
* The licensee is a startup company that is going into production with
  Bedrock-dependent software.
* The licensee has more than 500 users using a Bedrock-dependent service
  either directly or indirectly.
* The licensee is a medium to large organization that builds or integrates a
  commercial product or service with Bedrock.

THE LICENSE
===========

This section and all subsequent sections of this document constitute the
agreement between the licensee and Digital Bazaar, Inc.

DEFINITIONS
===========

* Product - The Bedrock software and any modules associated with Bedrock
where Digital Bazaar, Inc. owns the copyright.

CONDITIONS
==========

Redistribution and use in source and binary forms, with or without
modification, are permitted for NON-COMMERCIAL PURPOSES as long as the
following conditions are met:

1. Any use of the Product must not generate revenue for the licensee or
   any parent, subsidiary, agent, or affiliate of the licensee. Use of
   Product includes, but is not limited to, interacting with any of the
   licensee's Product-dependent products or services over a network.

2. The aggregate number of individual people (users) of the licensee's
   products or services that use Product must be less than 500.

3. Redistributions of source code must retain the above copyright notice
   intact, this list of conditions and the following disclaimer.

4. Redistributions in binary form must reproduce the above copyright
   notice, this license and the following disclaimer in the documentation and
   on a web page available via interactive use and/or other materials
   provided with the distribution.

5. Neither the name of the copyright holder, the names of its
   contributors, nor any trademarks held by the copyright holder may be used
   to endorse or promote products or services built using the Product without
   specific prior written permission.

6. Any modifications are clearly outlined in release documentation and are
   specifically mentioned as not being a part of an official Product release.
   No additional restrictions to this license may be made when distributing
   modifications.

7. For the avoidance of doubt, this license prohibits sublicensing of the
   Product.

8. Any breach of this license by licensee must be resolved within 30 days.
   Failure to do so results in the termination of this license.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

To obtain a non-profit or commercial license for Product, please contact
Digital Bazaar, Inc. at the following email address:

Digital Bazaar <support@digitalbazaar.com>
